VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_32"
        SIGNAL "XLXN_33(11:0)"
        SIGNAL "XLXN_34"
        SIGNAL "XLXN_35"
        SIGNAL "XLXN_37"
        SIGNAL "pel"
        SIGNAL "clk25"
        SIGNAL "disp(15:0)"
        SIGNAL "hblk"
        SIGNAL "vblk"
        SIGNAL "row(9:0)"
        SIGNAL "XLXN_69"
        SIGNAL "rst"
        SIGNAL "run"
        PORT Output "pel"
        PORT Input "clk25"
        PORT Output "disp(15:0)"
        PORT Input "hblk"
        PORT Input "vblk"
        PORT Input "row(9:0)"
        PORT Input "rst"
        PORT Input "run"
        BEGIN BLOCKDEF "life"
            TIMESTAMP 2001 12 3 21 36 31
            RECTANGLE N 64 -896 320 0 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -608 0 -608 
            RECTANGLE N 0 -620 64 -596 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 320 -96 384 -96 
            LINE N 320 -544 384 -544 
            LINE N 320 -224 384 -224 
            LINE N 320 -864 384 -864 
            RECTANGLE N 320 -876 384 -852 
            LINE N 320 -672 384 -672 
            RECTANGLE N 320 -684 384 -660 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -620 384 -596 
        END BLOCKDEF
        BEGIN BLOCKDEF "ram4096x1"
            TIMESTAMP 2001 12 3 20 9 1
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "life"
            PIN "clk" "clk25"
            PIN "rst" "rst"
            PIN "run" "run"
            PIN "hblk" "hblk"
            PIN "vblk" "vblk"
            PIN "row(9:0)" "row(9:0)"
            PIN "rdd_a(0:0)" "XLXN_69"
            PIN "rdd_b(0:0)" "XLXN_32"
            PIN "d" "pel"
            PIN "wren_a" "XLXN_35"
            PIN "wren_b" "XLXN_37"
            PIN "gen(15:0)" "disp(15:0)"
            PIN "adx(11:0)" "XLXN_33(11:0)"
            PIN "wrd(0:0)" "XLXN_34"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "ram4096x1"
            PIN "clk" "clk25"
            PIN "we" "XLXN_35"
            PIN "addr(11:0)" "XLXN_33(11:0)"
            PIN "di(0:0)" "XLXN_34"
            PIN "do(0:0)" "XLXN_69"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "ram4096x1"
            PIN "clk" "clk25"
            PIN "we" "XLXN_37"
            PIN "addr(11:0)" "XLXN_33(11:0)"
            PIN "di(0:0)" "XLXN_34"
            PIN "do(0:0)" "XLXN_32"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH "hblk"
            WIRE 160 1088 176 1088
            WIRE 176 1088 960 1088
        END BRANCH
        BEGIN BRANCH "vblk"
            WIRE 160 1152 176 1152
            WIRE 176 1152 960 1152
        END BRANCH
        BEGIN BRANCH "row(9:0)"
            WIRE 160 1024 176 1024
            WIRE 176 1024 960 1024
        END BRANCH
        BEGIN BRANCH "pel"
            WIRE 1344 1088 1744 1088
            WIRE 1744 1088 1760 1088
            WIRE 1760 1088 2400 1088
        END BRANCH
        BEGIN BRANCH "XLXN_37"
            WIRE 1344 960 1744 960
            WIRE 1744 960 1760 960
        END BRANCH
        BEGIN BRANCH "XLXN_35"
            WIRE 1344 640 1744 640
            WIRE 1744 640 1760 640
        END BRANCH
        BEGIN BRANCH "XLXN_34"
            WIRE 1344 576 1440 576
            WIRE 1440 576 1760 576
            WIRE 1440 576 1440 896
            WIRE 1440 896 1760 896
        END BRANCH
        BEGIN BRANCH "XLXN_33(11:0)"
            WIRE 1344 512 1520 512
            WIRE 1520 512 1760 512
            WIRE 1520 512 1520 832
            WIRE 1520 832 1760 832
        END BRANCH
        BEGIN BRANCH "disp(15:0)"
            WIRE 1344 320 2384 320
            WIRE 2384 320 2400 320
        END BRANCH
        BEGIN BRANCH "rst"
            WIRE 160 160 736 160
            WIRE 736 160 736 384
            WIRE 736 384 960 384
            WIRE 736 160 2240 160
        END BRANCH
        BEGIN BRANCH "clk25"
            WIRE 176 96 800 96
            WIRE 800 96 1600 96
            WIRE 1600 96 1680 96
            WIRE 1680 96 1680 448
            WIRE 1680 448 1760 448
            WIRE 1680 96 2240 96
            WIRE 1600 96 1600 768
            WIRE 1600 768 1760 768
            WIRE 800 96 800 320
            WIRE 800 320 960 320
        END BRANCH
        IOMARKER 160 160 "rst" R180 28
        IOMARKER 176 96 "clk25" R180 28
        IOMARKER 160 1152 "vblk" R180 28
        IOMARKER 160 1088 "hblk" R180 28
        IOMARKER 160 1024 "row(9:0)" R180 28
        IOMARKER 2400 320 "disp(15:0)" R0 28
        BEGIN INSTANCE "XLXI_2" 1760 672 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_3" 1760 992 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_1" 960 1184 R0
        END INSTANCE
        BEGIN BRANCH "XLXN_69"
            WIRE 896 224 896 576
            WIRE 896 576 960 576
            WIRE 896 224 2240 224
            WIRE 2240 224 2240 576
            WIRE 2144 576 2240 576
        END BRANCH
        BEGIN BRANCH "XLXN_32"
            WIRE 880 896 960 896
            WIRE 880 896 880 1376
            WIRE 880 1376 2240 1376
            WIRE 2144 896 2240 896
            WIRE 2240 896 2240 1376
        END BRANCH
        BEGIN BRANCH "run"
            WIRE 160 448 960 448
        END BRANCH
        IOMARKER 160 448 "run" R180 28
        IOMARKER 2400 1088 "pel" R0 28
    END SHEET
END SCHEMATIC
