VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "clk25"
        SIGNAL "pel"
        SIGNAL "r"
        SIGNAL "b"
        SIGNAL "rb"
        SIGNAL "gb"
        SIGNAL "bb"
        SIGNAL "g"
        SIGNAL "hblk"
        SIGNAL "vblk"
        SIGNAL "row(9:0)"
        SIGNAL "hsync"
        SIGNAL "vsync"
        SIGNAL "rst"
        SIGNAL "rstn"
        SIGNAL "run"
        PORT Input "clk25"
        PORT Output "r"
        PORT Output "b"
        PORT Output "rb"
        PORT Output "gb"
        PORT Output "bb"
        PORT Output "g"
        PORT Output "hsync"
        PORT Output "vsync"
        PORT Input "rstn"
        BEGIN BLOCKDEF "vga"
            TIMESTAMP 2003 1 9 16 14 10
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -608 384 -608 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 32 384 32 
            RECTANGLE N 320 20 384 44 
            LINE N 320 96 384 96 
            RECTANGLE N 320 84 384 108 
            RECTANGLE N 64 -640 320 128 
        END BLOCKDEF
        BEGIN BLOCKDEF "core"
            TIMESTAMP 2003 1 9 16 2 20
            RECTANGLE N 64 -384 368 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 368 -352 432 -352 
            LINE N 368 -288 432 -288 
            RECTANGLE N 368 -300 432 -276 
        END BLOCKDEF
        BEGIN BLOCKDEF "inv"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF "vcc"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCK "Ucore" "core"
            PIN "clk25" "clk25"
            PIN "hblk" "hblk"
            PIN "vblk" "vblk"
            PIN "row(9:0)" "row(9:0)"
            PIN "rst" "rst"
            PIN "run" "run"
            PIN "pel" "pel"
            PIN "disp(15:0)"
        END BLOCK
        BEGIN BLOCK "Uvga" "vga"
            PIN "clk25" "clk25"
            PIN "rst" "rst"
            PIN "pel" "pel"
            PIN "hsync" "hsync"
            PIN "vsync" "vsync"
            PIN "r" "r"
            PIN "g" "g"
            PIN "b" "b"
            PIN "rb" "rb"
            PIN "gb" "gb"
            PIN "bb" "bb"
            PIN "row(9:0)" "row(9:0)"
            PIN "col(9:0)"
            PIN "hblk" "hblk"
            PIN "vblk" "vblk"
        END BLOCK
        BEGIN BLOCK "Uinv" "inv"
            PIN "I" "rstn"
            PIN "O" "rst"
        END BLOCK
        BEGIN BLOCK "XLXI_7" "vcc"
            PIN "P" "run"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH "r"
            WIRE 960 352 1120 352
        END BRANCH
        BEGIN BRANCH "b"
            WIRE 960 480 1120 480
        END BRANCH
        BEGIN BRANCH "rb"
            WIRE 960 544 1120 544
        END BRANCH
        BEGIN BRANCH "gb"
            WIRE 960 608 1120 608
        END BRANCH
        BEGIN BRANCH "bb"
            WIRE 960 672 1120 672
        END BRANCH
        BEGIN BRANCH "g"
            WIRE 960 416 1120 416
        END BRANCH
        BEGIN BRANCH "clk25"
            WIRE 160 160 480 160
            WIRE 480 160 1280 160
            WIRE 1280 160 1760 160
            WIRE 1280 160 1280 672
            WIRE 1280 672 1376 672
            WIRE 480 160 480 352
            WIRE 480 352 576 352
        END BRANCH
        BEGIN BRANCH "hblk"
            WIRE 960 864 1376 864
        END BRANCH
        BEGIN BRANCH "vblk"
            WIRE 960 928 1376 928
        END BRANCH
        BEGIN BRANCH "row(9:0)"
            WIRE 960 992 1376 992
        END BRANCH
        BEGIN BRANCH "hsync"
            WIRE 960 736 1120 736
        END BRANCH
        BEGIN BRANCH "vsync"
            WIRE 960 800 1120 800
        END BRANCH
        IOMARKER 160 160 "clk25" R180 28
        BEGIN INSTANCE "Ucore" 1376 1024 R0
        END INSTANCE
        IOMARKER 1120 800 "vsync" R0 28
        IOMARKER 1120 736 "hsync" R0 28
        IOMARKER 1120 672 "bb" R0 28
        IOMARKER 1120 608 "gb" R0 28
        IOMARKER 1120 544 "rb" R0 28
        IOMARKER 1120 480 "b" R0 28
        IOMARKER 1120 416 "g" R0 28
        IOMARKER 1120 352 "r" R0 28
        BEGIN INSTANCE "Uvga" 576 960 R0
        END INSTANCE
        BEGIN BRANCH "pel"
            WIRE 512 480 576 480
            WIRE 512 480 512 1104
            WIRE 512 1104 1824 1104
            WIRE 1808 672 1824 672
            WIRE 1824 672 1824 1104
        END BRANCH
        INSTANCE "Uinv" 224 256 R0
        BEGIN BRANCH "rst"
            WIRE 448 224 512 224
            WIRE 512 224 512 416
            WIRE 512 416 576 416
            WIRE 512 224 1328 224
            WIRE 1328 224 1760 224
            WIRE 1328 224 1328 736
            WIRE 1328 736 1376 736
        END BRANCH
        BEGIN BRANCH "rstn"
            WIRE 160 224 224 224
        END BRANCH
        IOMARKER 160 224 "rstn" R180 28
        BEGIN BRANCH "run"
            WIRE 1168 1248 1168 1328
            WIRE 1168 1328 1360 1328
            WIRE 1360 800 1376 800
            WIRE 1360 800 1360 1328
        END BRANCH
        INSTANCE "XLXI_7" 1104 1248 R0
    END SHEET
END SCHEMATIC
